xquery version "1.0";

(: namespaces :)
declare namespace request = "http://exist-db.org/xquery/request";
declare namespace util = "http://exist-db.org/xquery/util";

(: serialize output to XHTML :)
declare option exist:serialize "method=xhtml indent=yes omit-xml-declaration=no doctype-public=-//W3C//DTD&#160;XHTML&#160;1.1//EN";

declare variable $books_collection as xs:string { "/db/oxford/books" };


declare function local:home() as node()
{
    <html>
        <head>
            <title>Books Example</title>
        </head>
        <body>
            <h1>Books Example</h1>
            <p>Currently there are <span style="color:green">{count(collection($books_collection)/book)}</span> books in the collection</p>
        </body>
    </html>
};

(: execution starts here -  call the function named by the action or default to the function called "home" :)
let $funAction := concat("local:", request:get-parameter("action", "home"), "()") return
    util:eval($funAction)